Subject: Re: [PATCH v5 00/16] refs: batch refname availability checks

From: shejialuo <[email-masked]>
Date: Wed, 12 Mar 2025 22:03:18 +0800

On Thu, Mar 06, 2025 at 04:08:31PM +0100, Patrick Steinhardt wrote:

> Changes in v3:
>   - Fix one case where we didn't skip ambiguity checks in
>     git-update-ref(1).
>   - Document better that only the prefix can change on reseeking
>     iterators. Other internal state will remain the same.
>   - Fix a memory leak in the ref-cache iterator.
>   - Don't ignore errors returned by `packed_ref_iterator_seek()`.
>   - Link to v2: https://lore.kernel.org/r/[email-masked]
> 
> Changes in v4:
>   - A couple of clarifications in the commit message that disabled
>     ambiguity warnings.
>   - Link to v3: https://lore.kernel.org/r/[email-masked]
> 
> Changes in v5:
>   - Improve a couple of commit messages.
>   - Align `GET_OID_*` flag values.
>   - Link to v4: https://lore.kernel.org/r/[email-masked]
> 
> Thanks!
> 
> Patrick

I don't look at the range-diff, but review again in this version. I
mainly carefully look at patch 1-8 which I haven't looked in the
previous versions and left some comments.

Thanks,
Jialuo